<template>
  <router-link :to="{ name: 'HOME' }">
    <h1 class="text-black dark:text-slate-100">
      <span v-if="!titleImageUrl" class="text-5xl">{{ indexName }}</span>

      <img
        v-if="titleImageUrl"
        class="title-image"
        :src="titleImageUrl"
        :alt="indexName"
        width="240"
      />
    </h1>
  </router-link>
</template>
<script lang="ts" setup>
  import { buildApiUrl } from '@/shared/utils'
  import { computed, inject } from 'vue'
  import { ServerConfig } from '../../../shared'

  const config = inject<ServerConfig>('config')

  const indexName = computed(() => config.searchInstanceName)

  const titleImageUrl = computed(() =>
    config.searchInstanceNameImage
      ? buildApiUrl(config.searchInstanceNameImage)
      : ''
  )
</script>
